#---------Plugin Info---------------------------------------------------------
#-----------------------------------------------------------------------------

# Name        :   Voronoi + Conic Curve
# Copyright   :   (c) 2012
# Designed    :   MattC
# Icons by    :   THE.PJT
# Description :   Generates Voronoi and Conic Curve from point clouds
# Menu Item   :   plugins > Voronoi + Conic Curve
# Context Menu:   N/A
# Usage       :   architecture and interior design
# Date        :   Jul 2012
#-----------------------------------------------------------------------------
# Permission to use, copy, modify this software for
# any non-commercial purpose is hereby granted
#-----------------------------------------------------------------------------
# CHANGELOG:
# UPDATE 1 >  Rubies modified according to ThomThom quideline
# UPDATE 2 >  VoronoiXY updated - code adjusted
# VR 3.0   >  separate codes paced as an extention - toolbas and icons made by the.pjt ( pejman )
#-----------------------------------------------------------------------------


#-----------TIG's code--------------------------------------------------------
#-----------------------------------------------------------------------------
# module Name :   points_cloud_triangulation
# Description :   A tool to create triangles starting from a construction points selection
# Menu Item   :   Plugins -> Triangulate Points
# Context Menu:   NONE
# Usage       :   Select construction points. Select menu Plugins/Triangulate points
#             :   read the status bar to check information about triangulation
# Date        :   9/17/2004
# Type        :   Tool
# CHANGELOG:
#### TIG tweaked 2011.........
#### put code into protective class, with a new delauney3 method
#### all triangles now face 'up'
#### colinear vertical cpoint errors trapped
#### triangulated mesh is now grouped
#### layer dialog asks for layer if you cancel = Layer0
#### type in Layer to use that id not existing its made
#### 
#-----------------------------------------------------------------------------


require "sketchup.rb"
require "extensions.rb"

$tStrings = LanguageHandler.new("VoronoiConic.strings")
#Register the Tools

VoronoiConic_Extension = SketchupExtension.new $tStrings.GetString("Voronoi + Conic"), "voronoi_conic/VoronoiConic_Base.rb"
VoronoiConic_Extension.description=$tStrings.GetString("Generates Voronoi and Conic Curve from point clouds")
VoronoiConic_Extension.name = "Voronoi + Conic"
VoronoiConic_Extension.creator ="MattC"
VoronoiConic_Extension.version = "2.1"
VoronoiConic_Extension.copyright = " MattC 2012" 

Sketchup.register_extension VoronoiConic_Extension, true

